# module load R/3.6.1-foss....
# source python_modules.sh

library(ggplot2)
library(plyr)
library(reshape2)
library(reticulate)


res <- py_load_object("cv_results.pickle")
param_color <- "param_knn__n_neighbors"
param_x = "param_select__varlist"

res <- py_load_object("cv_results.v2.pickle")
param_color <- "param_knn__n_neighbors"
param_x <- "param_select__varlist"

res <- py_load_object("cv_results.tas_region.pickle")
param_color <- "param_knn__n_neighbors"
param_x = "param_subset__region"

res <- py_load_object("cv_results.g500_region.pickle")
param_color <- "param_knn__n_neighbors"
param_x <- "param_subset_g500__region"

res <- py_load_object("cv_results.comb3vars.pickle")
param_color <- NULL
param_x <- "param_subset_g500__region"

res <- py_load_object("cv_results.g500_and_time.pickle")
param_color <- "param_adddoy__weight"
param_x <- "param_subset_g500__region"

res <- py_load_object("cv_results.comb_and_time.pickle")
param_color <- "param_adddoy__weight"
param_x <- "param_select__varlist"

# plot
res$params <- NULL
res[[param_color]] <- factor(unlist(res[[param_color]]))
res[[param_x]] <- unlist(lapply(res[[param_x]], paste, collapse=", "))

res.df <- data.frame(res)
tmp.df <- melt(res.df, measure.vars=.(split0_test_score, split1_test_score, split2_test_score, split3_test_score, split4_test_score), 
	       variable.name="split", value.name="rmse")

plot <- ggplot(tmp.df, aes_string(x = param_x, y = "-1*rmse")) + geom_boxplot(aes_string(color = param_color)) + 
	ylab("RMSE") + xlab("Selected vars") + labs(color = "Num. neighbors") + coord_flip() + theme_bw()
print(plot)

